ONVIF::PTZ::Types::SearchScope(3)

NAME
ONVIF::PTZ::Types::SearchScope

DESCRIPTION
Perl data type class for the XML Schema defined complexType SearchScope from the namespace http://www.onvif.org/ver10/schema.

A structure for defining a limited scope when searching in recorded data.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   IncludedSources

•   IncludedRecordings

•   RecordingInformationFilter

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::SearchScope
   IncludedSources =>  { # ONVIF::PTZ::Types::SourceReference
     Token => $some_value, # ReferenceToken
   },
   IncludedRecordings => $some_value, # RecordingReference
   RecordingInformationFilter => $some_value, # XPathExpression
   Extension =>  { # ONVIF::PTZ::Types::SearchScopeExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL